Loading...
Searching...
No Matches
PSTException Class Reference
Pstsdk

Generic tracker exception. More...

`#include <TrackerExceptions.h>`

Inheritance diagram for PSTException:
[legend]
Collaboration diagram for PSTException:
[legend]

## Public Member Functions
| PSTException (const char *what)
| PSTException (const PSTException &other)
| PSTException (PSTException &&other) noexcept
| PSTException (const char *function, int line, const char *what)
virtual | ~PSTException ()
virtual const char * | what () const
virtual const char * | where () const
virtual const char * | full_description () const

## Private Attributes
char * | m_what
char * | m_where
char * | m_full

## Detailed Description

Base class defining exceptions being thrown by the PST. Specific instances of this class are defined using the DECLARE_PST_EXCEPTION macro.

## Constructor & Destructor Documentation

## ◆ PSTException() [1/4]

PSTException | ( | const char * | what | ) |
| explicit

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ PSTException() [2/4]

PSTException | ( | const PSTException & | other | ) |

Here is the call graph for this function:

## ◆ PSTException() [3/4]

PSTException | ( | PSTException && | other | ) |
| noexcept

Here is the call graph for this function:

## ◆ PSTException() [4/4]

PSTException | ( | const char * | function,
|  | int | line,
|  | const char * | what )

Here is the call graph for this function:

## ◆ ~PSTException()

virtual ~PSTException | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ full_description()

virtual const char * full_description | ( |  | ) | const
| virtual

Returns a string containing the location and message of the error.

Examples
  exposure.cpp, images.cpp, listener.cpp, reference.cpp, restserver.cpp, sharedmemory.cpp, and trackingtarget.cpp.

## ◆ what()

virtual const char * what | ( |  | ) | const
| virtual

Message describing the exception.

Examples
  reference.cpp.

Here is the caller graph for this function:

## ◆ where()

virtual const char * where | ( |  | ) | const
| virtual

Location in the code where the exception occured.

## Member Data Documentation

## ◆ m_full

char* m_full
| private

## ◆ m_what

char* m_what
| private

## ◆ m_where

char* m_where
| private

The documentation for this class was generated from the following file:

- include/TrackerExceptions.h